<?php
/**
 * MaestroSite.ru lite uninstaller
 *
 * Display feedback form
 *
 * @author MaestroSite.ru <smf@maestrosite.ru>
 * @license http://creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0
 * @version 0.1
 */
if( defined('SMF') and (SMF != 'SSI') )
{
	$context['template_layers'][] = 'hook_uninstalled';
	$context['html_headers'] .= '<style type="text/css">
p.maestrosite_install{margin:1em;text-align:center}
form.maestrosite_uninstall{margin:1em}
form.maestrosite_uninstall ul{padding:0;list-style-type:none}
</style>';
	$context['maestrosite_modname'] = isset($packageInfo['id']) ? urlencode($packageInfo['id']) . '-' : 'noid-';
	$context['maestrosite_modname'] .= isset($packageInfo['version']) ? urlencode($packageInfo['version']) : 'noversion';
	function template_hook_uninstalled_above()
	{
		global $context;
		$reasons = array(
			'Does not work correctly',
			'No required functionality',
			'Not interested',
			'Conflict with other modifications',
			'Other',
		);
		echo '<form action="http://maestrosite.ru/smf-mod-reason/" method="get" class="maestrosite_uninstall">',
			'<input type="hidden" name="modname" value="', $context['maestrosite_modname'],
			'" />Please, answer the question. For what reason you have removed the modification?<ul>';
		foreach( $reasons as $k => $v )
			echo '<li><input type="checkbox" name="r[', $k, ']" value="', $k, '"/>', $v, '</li>';
		echo '<li>Your comment: <input name="t" style="width:50%" /></li></ul>
		<input type="submit"/></form>';
	}
	function template_hook_uninstalled_below()
	{
	}
}
